## ptyprocess 0.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Ptyprocess.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Ptyprocess.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Ptyprocess"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Ptyprocess"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ptyprocess 0.5

=== debian/changelog ===
ptyprocess (0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #787342)

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 20 Jun 2015 19:55:24 +0200

=== debian/control ===
Source: ptyprocess
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.6
Homepage: https://github.com/pexpect/ptyprocess
Build-Depends: debhelper (>= 9), dh-python, python, python3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: git://anonscm.debian.org/python-modules/packages/ptyprocess.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/ptyprocess.git

Package: python-ptyprocess
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Run a subprocess in a pseudo terminal from Python 2
 Launch a subprocess in a pseudo terminal (pty), and interact with both
 the process and its pty.
 .
 Sometimes, piping stdin and stdout is not enough. There might be a password
 prompt that doesn't read from stdin, output that changes when it's going to
 a pipe rather than a terminal, or curses-style interfaces that rely on a
 terminal. If you need to automate these things, running the process in a
 pseudo terminal (pty) is the answer.
 .
 This package installs the library for Python 2.

Package: python3-ptyprocess
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Run a subprocess in a pseudo terminal from Python 3
 Launch a subprocess in a pseudo terminal (pty), and interact with both
 the process and its pty.
 .
 Sometimes, piping stdin and stdout is not enough. There might be a password
 prompt that doesn't read from stdin, output that changes when it's going to
 a pipe rather than a terminal, or curses-style interfaces that rely on a
 terminal. If you need to automate these things, running the process in a
 pseudo terminal (pty) is the answer.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ptyprocess
export PYBUILD_TEST_ARGS={interpreter} -m unittest discover -s tests -v

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/ptyprocess/ptyprocess-(.*)\.tar\.gz

## ptyprocess 0.5.1

=== debian/changelog ===
ptyprocess (0.5.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Mar 2017 17:13:24 +0100

ptyprocess (0.5.1-1) unstable; urgency=medium

  [Ondřej Nový]
  * Fixed VCS URL (https)

  [Julien Puydt]
  * New upstream release.
  * Pushed standards-version up.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 13 May 2016 20:33:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/pexpect/ptyprocess
-Build-Depends: debhelper (>= 9), dh-python, python, python3
+Build-Depends: bc, debhelper (>= 9), dh-python, python, python3-all
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/ptyprocess.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/ptyprocess.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ptyprocess.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ptyprocess.git
 
 Package: python-ptyprocess
 Architecture: all

=== debian/watch ===
version=3
opts=\
filenamemangle=s/([\d\.-]+)\.tar\.gz/ptyprocess-$1.tar.gz/ \
https://github.com/pexpect/ptyprocess/tags .*/archive/(.*)\.tar\.gz

## ptyprocess 0.5.2

=== debian/changelog ===
ptyprocess (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Push standards-version to 4.0.0.
  * Rewrite d/rules as pybuild doesn't support flit.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 03 Jul 2017 13:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/pexpect/ptyprocess
 Build-Depends: bc, debhelper (>= 9), dh-python, python, python3-all
 X-Python-Version: >= 2.7

=== debian/watch ===
version=3
https://github.com/pexpect/ptyprocess/tags .*/archive/(.*)\.tar\.gz

## ptyprocess 0.6.0

=== debian/changelog ===
ptyprocess (0.6.0-1ubuntu1) focal; urgency=medium

  * Build-depend on python-all.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Mar 2020 13:16:02 +0200

ptyprocess (0.6.0-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:39:36 +0000

ptyprocess (0.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Julien Puydt ]
  * New upstream release.
  * Refresh packaging:
    - Use my debian.org mail address.
    - Bump dh compat to 11. 
    - Bump std-ver to 4.1.4. 
    - Bump d/watch to version 4. 
    - Update dates in d/copyright. 
    - Remove upstream signing key, as it seems it isn't used (!). 

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 Jun 2018 13:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: ptyprocess
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/pexpect/ptyprocess
-Build-Depends: bc, debhelper (>= 9), dh-python, python, python3-all
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ptyprocess.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ptyprocess.git
+Build-Depends: debhelper (>= 11), dh-python, python-all, python3-all
+Vcs-Git: https://salsa.debian.org/python-team/modules/ptyprocess.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/ptyprocess
 
 Package: python-ptyprocess
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=ptyprocess
+export PYBUILD_SYSTEM=custom
+export PYBUILD_CLEAN_ARGS=rm -rf {build_dir}/python{version}/dist-packages
+export PYBUILD_CONFIGURE_ARGS=true
+export PYBUILD_BUILD_ARGS=true
+export PYBUILD_INSTALL_ARGS=mkdir -p {destdir}/usr/lib/python{version}/dist-packages && cp -r ptyprocess {destdir}/usr/lib/python{version}/dist-packages
 export PYBUILD_TEST_ARGS={interpreter} -m unittest discover -s tests -v
 
 %:

=== debian/watch ===
version=4
https://github.com/pexpect/ptyprocess/tags .*/archive/(.*)\.tar\.gz

## ptyprocess 0.7.0

=== debian/changelog ===
ptyprocess (0.7.0-6) unstable; urgency=medium

  * Team upload.
  * Remove unittest.makeSuite, gone from Python 3.13 (closes: #1082145).

 -- Colin Watson <cjwatson@debian.org>  Sun, 03 Nov 2024 21:14:56 +0000

ptyprocess (0.7.0-5) unstable; urgency=medium

  * Team upload.
  * d/control: Build using the generic pyproject pybuild plugin.
  * d/tests: run tests with all available python versions.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 11:58:33 -0500

ptyprocess (0.7.0-4) UNRELEASED; urgency=medium

  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 30 Nov 2022 12:31:25 -0000

ptyprocess (0.7.0-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add flit to build-depends so flit plugin for pybuild is used and delete
    obsolete portions of debian/rules

  [ Julien Puydt ]
  * Prepare for upload, noticing SK's changes fix a bug. (Closes: #1000260)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Dec 2021 13:20:05 +0100

ptyprocess (0.7.0-2) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 19 Aug 2021 11:07:50 +0200

ptyprocess (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.5.1.
  * Enable upstream test suite in autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 02 Jan 2021 19:10:01 +0100

ptyprocess (0.6.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Bump dh compat to 13, std-vers to 4.5.0 and declare d/rules doesn't
    require root.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 23:01:59 +0200

ptyprocess (0.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937334

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Apr 2020 17:04:50 -0400

=== debian/control ===
Source: ptyprocess
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.1
Homepage: https://github.com/pexpect/ptyprocess
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               python3-all,
               pybuild-plugin-pyproject,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/ptyprocess.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ptyprocess

Package: python3-ptyprocess
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Run a subprocess in a pseudo terminal from Python 3
 Launch a subprocess in a pseudo terminal (pty), and interact with both
 the process and its pty.
 .
 Sometimes, piping stdin and stdout is not enough. There might be a password
 prompt that doesn't read from stdin, output that changes when it's going to
 a pipe rather than a terminal, or curses-style interfaces that rely on a
 terminal. If you need to automate these things, running the process in a
 pseudo terminal (pty) is the answer.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Tests: upstreamtestsuite3
Depends: python3-all, python3-pytest, @
